FILE_PERMISSION(9)

NAME
file_permission - check for additional access rights to a given file

SYNOPSIS

int file_permission (struct file * file, int mask);

ARGUMENTS

file
    file to check access rights for

mask
    right to check for (MAY_READ, MAY_WRITE, MAY_EXEC)

DESCRIPTION

Used to check for read/write/execute permissions on an already opened file.

NOTE

Do not use this function in new code. All access checks should be done using vfs_permission.